> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chainstream.io/llms.txt
> Use this file to discover all available pages before exploring further.

# 代币 - 相似代币

> 通过图片哈希或规范化名称查找与指定代币相似的代币



## OpenAPI

````yaml /cn/api-reference/openapi-data-cn.yaml GET /v2/token/{chain}/{tokenAddress}/similar
openapi: 3.1.0
info:
  title: Services API
  description: Services API
  contact:
    name: AI
    email: ai@sx.ai
  license:
    name: MIT
  version: '1.0'
servers:
  - url: https://api.chainstream.io
    description: Production
security:
  - bearer_auth: []
  - api_key_auth: []
tags:
  - name: Blockchain
    description: 区块链相关操作
  - name: Token
    description: 代币相关操作
  - name: Trade
    description: 交易相关操作
  - name: Wallet
    description: 钱包相关操作
  - name: Dex
    description: DEX 相关操作
  - name: Ranking
    description: 排行榜相关操作
  - name: DexPool
    description: DEX 池子相关操作
  - name: Watchlist
    description: 关注列表相关操作
  - name: KYT
    description: KYT 相关操作
  - name: Webhook
    description: Webhook 相关操作
  - name: RedPacket
    description: 红包相关操作
  - name: IPFS
    description: IPFS 相关操作
  - name: DexScreener
    description: DexScreener 相关操作
paths:
  /v2/token/{chain}/{tokenAddress}/similar:
    get:
      tags:
        - Token
      summary: 代币 - 相似代币
      description: 通过图片哈希或规范化名称查找与指定代币相似的代币
      operationId: get.token.similar
      parameters:
        - name: chain
          in: path
          description: 支持网络列表中的链名称
          required: true
          schema:
            $ref: '#/components/schemas/ChainSymbol'
          example: sol
        - name: tokenAddress
          in: path
          description: 代币地址
          required: true
          schema:
            type: string
          example: 6p6xgHyF7AeE6TZkSmFsko444wqoP15icUSqi2jfGiPN
        - name: type
          in: query
          description: 相似类型：图片或名称
          required: false
          schema:
            $ref: '#/components/schemas/SimilarType'
        - name: limit
          in: query
          description: 最大结果数（1-100）
          required: false
          schema:
            type: integer
            format: int64
          example: '20'
      responses:
        '200':
          description: 获取相似代币
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Token'
components:
  schemas:
    ChainSymbol:
      type: string
      description: Supported blockchain chains
      enum:
        - sol
        - eth
        - bsc
    SimilarType:
      type: string
      enum:
        - image
        - name
    Token:
      type: object
      description: |-
        Token entity — mirrors TS `TokenDTO extends TokenMetadataDTO`.

        TS uses class inheritance to flatten metadata into the top level.
        Rust uses `#[serde(flatten)]` for the same effect.
      required:
        - address
        - chain
        - symbol
        - name
        - decimals
      properties:
        address:
          type: string
          description: 代币合约地址
          example: EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v
        chain:
          type: string
          description: 区块链网络标识
          example: sol
        coingeckoCoinId:
          type:
            - string
            - 'null'
          description: CoinGecko 币种标识
          example: usd-coin
        decimals:
          type: integer
          format: int32
          description: 小数位数
          example: 9
        description:
          type:
            - string
            - 'null'
          description: 代币描述
          example: USDC is a stablecoin pegged to the US dollar
        devLastTokenCreatedAt:
          type:
            - string
            - 'null'
          description: 开发者最近一次创建代币的时间戳
          example: '2025-12-03T09:23:34.000Z'
        devTotalTokens:
          type:
            - string
            - 'null'
          description: 开发者创建的代币总数
          example: '163'
        extension:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/TokenExtra'
              description: |-
                ENTITY.TOKEN.EXTENSION
                ENTITY.TOKEN.EXTENSION
        extra:
          $ref: '#/components/schemas/TokenExtra'
          description: 代币扩展元数据
        imageUrl:
          type:
            - string
            - 'null'
          description: 代币 Logo 图片 URL
          example: >-
            https://raw.githubusercontent.com/solana-labs/token-list/main/assets/mainnet/EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v/logo.png
        market:
          type:
            - string
            - 'null'
          description: 交易市场标识
          example: USDC-SOL
        marketData:
          $ref: '#/components/schemas/TokenMarketData'
          description: Market data
        metadataAddress:
          type:
            - string
            - 'null'
          description: 链上元数据账户地址
          example: metaqbxxUerdq28cj1RbAWkYQm3ybzjb6a8bt518x1s
        name:
          type: string
          description: 代币显示名称
          example: USD Coin
        score:
          type:
            - number
            - 'null'
          format: double
          description: Search relevance score from OpenSearch _score
        scoreBreakdown:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/ScoreBreakdown'
              description: >-
                Approximate factor-level score breakdown (debug /
                explainability)
        security:
          $ref: '#/components/schemas/TokenSecuritySummary'
          description: Security audit summary
        socialMedias:
          $ref: '#/components/schemas/TokenSocialMedias'
          description: 代币社交媒体链接
        stats:
          $ref: '#/components/schemas/TokenStats'
          description: Token statistics
        symbol:
          type: string
          description: 代币代号
          example: USDC
        tier:
          type:
            - integer
            - 'null'
          format: int32
          description: 'Search tier: 0 = VIP, 1 = verified, 2 = emerging, null = unverified'
        tokenCreatedAt:
          type:
            - integer
            - 'null'
          format: int64
          description: 代币创建时间戳（毫秒）
          example: 1710417600000
        tokenCreatedBlockHeight:
          type:
            - string
            - 'null'
          description: 代币创建时的区块高度
          example: '220000000'
        tokenCreatedSlot:
          type:
            - string
            - 'null'
          description: 代币创建时的 Slot 编号
          example: '230000000'
        tokenCreatedTxSignature:
          type:
            - string
            - 'null'
          description: 代币创建交易签名
          example: 5dJ1BxPiFT7w7aBdkxNy2jopGZnZoLwRwS8e9GkEXrVz...
        tokenCreators:
          type: array
          items:
            $ref: '#/components/schemas/TokenCreator'
          description: 代币创建者列表
        uri:
          type:
            - string
            - 'null'
          description: 代币元数据 URI
          example: https://arweave.net/abc123
        warningBadge:
          type:
            - string
            - 'null'
          description: 'Warning badge: "unverified", "potential_scam", "honeypot", or null'
    TokenExtra:
      type: object
      description: Token extra metadata
      properties:
        collectionAddress:
          type:
            - string
            - 'null'
          description: NFT 集合地址
          example: ABCDE
        dexscreenerAd:
          type:
            - boolean
            - 'null'
          description: 代币是否有进行中的 DexScreener 广告
        dexscreenerAdAt:
          type:
            - integer
            - 'null'
          format: int64
          description: DexScreener 广告时间戳
        dexscreenerBannerUrl:
          type:
            - string
            - 'null'
          description: DexScreener banner image URL
        dexscreenerBoostAt:
          type:
            - integer
            - 'null'
          format: int64
          description: DexScreener 推广时间戳
        dexscreenerBoostFeeInUsd:
          type:
            - string
            - 'null'
          description: DexScreener 推广费用（美元）
        dexscreenerTrendingBar:
          type:
            - boolean
            - 'null'
          description: 代币是否出现在 DexScreener 热门栏
        dexscreenerTrendingBarAt:
          type:
            - integer
            - 'null'
          format: int64
          description: 出现在 DexScreener 热门栏的时间戳
        dexscreenerUpdateLink:
          type:
            - boolean
            - 'null'
          description: 代币资料链接是否在 DexScreener 更新过
        dexscreenerUpdateLinkAt:
          type:
            - integer
            - 'null'
          format: int64
          description: DexScreener 链接更新时间戳
        editionNonce:
          type:
            - integer
            - 'null'
          format: int64
          description: 版本 Nonce 值
          example: 1
        freezeAuthority:
          type:
            - string
            - 'null'
          description: 冻结权限地址
          example: B61ZzjjZskE9yur2CBe4H4NFS3XHdEZdatKNegC9smUV
        fungible:
          type:
            - boolean
            - 'null'
          description: 是否为同质化代币
          example: true
        isMutable:
          type:
            - boolean
            - 'null'
          description: 元数据是否可变
          example: true
        isNative:
          type:
            - boolean
            - 'null'
          description: 是否为原生代币（如 SOL）
          example: false
        isVerifiedCollection:
          type:
            - boolean
            - 'null'
          description: 集合是否已验证
          example: true
        isWrapped:
          type:
            - boolean
            - 'null'
          description: 代币是否为包装代币
          example: false
        key:
          type:
            - string
            - 'null'
          description: Metaplex 账户密钥类型
          example: Mint
        launchFromProgramAddress:
          type:
            - string
            - 'null'
          description: 发射平台程序地址
          example: 6EF8rrecthR5Dkzon8Nwu78hRvfCKubJ14M5uBEwF6P
        launchFromProtocolFamily:
          type:
            - string
            - 'null'
          description: 发射平台协议族
          example: pumpfun
        launchQuoteTokenAddress:
          type:
            - string
            - 'null'
          description: 发射时使用的计价代币地址
        migratedAt:
          type:
            - integer
            - 'null'
          format: int64
          description: 迁移时间戳（毫秒）
          example: 1714857600000
        migratedToPoolAddress:
          type:
            - string
            - 'null'
          description: 迁移目标池子地址
          example: 7AvUMqLBou5EAXzyhnizWmPU13u2VguJoBYdcX4bhJtQ
        migratedToProgramAddress:
          type:
            - string
            - 'null'
          description: 迁移目标程序地址
          example: pAMMBay6oceH9fJKBRHGP5D4bD4sWpmSwMn52FMfXEA
        migratedToProtocolFamily:
          type:
            - string
            - 'null'
          description: 迁移目标协议族
          example: Raydium
        mintAuthority:
          type:
            - string
            - 'null'
          description: 铸造权限地址
          example: B61ZzjjZskE9yur2CBe4H4NFS3XHdEZdatKNegC9smUV
        primarySaleHappened:
          type:
            - boolean
            - 'null'
          description: 是否已发生首次销售
          example: false
        programAddress:
          type:
            - string
            - 'null'
          description: 代币程序地址
          example: TokenkegQfeZyiNwAJbNbGKPFXCWuBvf9Ss623VQ5DA
        sellerFeeBasisPoints:
          type:
            - integer
            - 'null'
          format: int64
          description: 卖方费率（基点）
          example: 100
        tokenStandard:
          type:
            - string
            - 'null'
          description: 代币标准（如 Fungible）
          example: Fungible
        updateAuthority:
          type:
            - string
            - 'null'
          description: 更新权限地址
          example: B61ZzjjZskE9yur2CBe4H4NFS3XHdEZdatKNegC9smUV
    TokenMarketData:
      type: object
      description: Token market data
      properties:
        athMarketCapInUsd:
          type:
            - string
            - 'null'
          description: |-
            ENTITY.TOKEN_MARKET_DATA.ATH_MARKET_CAP_IN_USD
            All-time-high market cap in USD (max observed since token creation).
          example: '9500000.00'
        bluechipHoldingsRatio:
          type:
            - string
            - 'null'
          description: 蓝筹钱包持仓占总供应量比例
          example: '0.05'
        bluechipTotalHolders:
          type:
            - string
            - 'null'
          description: 蓝筹钱包持有者数量
          example: '10'
        bluechipTotalHoldings:
          type:
            - string
            - 'null'
          description: 蓝筹钱包总持仓量
          example: '50000'
        bundleHoldingsRatio:
          type:
            - string
            - 'null'
          description: 捆绑钱包持仓占总供应量比例
          example: '0.018'
        bundleTotalHolders:
          type:
            - string
            - 'null'
          description: 捆绑钱包持有者数量
          example: '12'
        bundleTotalHoldings:
          type:
            - string
            - 'null'
          description: 捆绑钱包总持仓量
          example: '18000'
        circulatingSupply:
          type:
            - string
            - 'null'
          description: 代币流通供应量
          example: '900000'
        completionRatio:
          type:
            - string
            - 'null'
          description: Bonding Curve 完成比例
          example: '1.0'
        creatorsHoldingsRatio:
          type:
            - string
            - 'null'
          description: 创建者钱包持仓占总供应量比例
          example: '0.10'
        creatorsTotalHolders:
          type:
            - string
            - 'null'
          description: 创建者钱包持有者数量
          example: '1'
        creatorsTotalHoldings:
          type:
            - string
            - 'null'
          description: 创建者钱包持仓总量
          example: '100000000.00'
        devHoldingsRatio:
          type:
            - string
            - 'null'
          description: 开发者持仓占总供应量比例
          example: '0.005'
        devTotalHolders:
          type:
            - string
            - 'null'
          description: 开发者钱包持有者数量
          example: '3'
        devTotalHoldings:
          type:
            - string
            - 'null'
          description: 开发者钱包总持仓量
          example: '5000'
        fdvInSol:
          type:
            - string
            - 'null'
          description: 完全稀释估值（原生代币计）
          example: '200000'
        fdvInUsd:
          type:
            - string
            - 'null'
          description: 完全稀释估值（USD 计）
          example: '200000'
        freshHoldingsRatio:
          type:
            - string
            - 'null'
          description: 新钱包持仓占总供应量比例
          example: '0.01'
        freshTotalHolders:
          type:
            - string
            - 'null'
          description: 新钱包持有者数量
          example: '30'
        freshTotalHoldings:
          type:
            - string
            - 'null'
          description: 新钱包总持仓量
          example: '10000'
        holders:
          type:
            - string
            - 'null'
          description: 代币持有者总数
          example: '1000'
        insiderHoldingsRatio:
          type:
            - string
            - 'null'
          description: 内部人持仓占总供应量比例
          example: '0.02'
        insiderTotalHolders:
          type:
            - string
            - 'null'
          description: 内部人钱包持有者数量
          example: '5'
        insiderTotalHoldings:
          type:
            - string
            - 'null'
          description: 内部人钱包总持仓量
          example: '20000'
        kolHoldingsRatio:
          type:
            - string
            - 'null'
          description: KOL 持仓占总供应量比例
          example: '0.03'
        kolTotalHolders:
          type:
            - string
            - 'null'
          description: KOL（意见领袖）持有者数量
          example: '20'
        kolTotalHoldings:
          type:
            - string
            - 'null'
          description: KOL 钱包总持仓量
          example: '30000'
        marketCapInSol:
          type:
            - string
            - 'null'
          description: 市值（原生代币计）
          example: '100000'
        marketCapInUsd:
          type:
            - string
            - 'null'
          description: 市值（USD 计）
          example: '100000'
        maxPoolTvlInSol:
          type:
            - string
            - 'null'
          description: 最大池子 TVL（原生代币计）
          example: '1000.45'
        maxPoolTvlInUsd:
          type:
            - string
            - 'null'
          description: 最大池子 TVL（USD 计）
          example: '150000.00'
        maxSupply:
          type:
            - string
            - 'null'
          description: 代币最大供应量
        phishingHoldingsRatio:
          type:
            - string
            - 'null'
          description: 钓鱼钱包持仓占总供应量比例
          example: '0.0005'
        phishingTotalHolders:
          type:
            - string
            - 'null'
          description: 被标记为钓鱼的持有者数量
          example: '2'
        phishingTotalHoldings:
          type:
            - string
            - 'null'
          description: 被标记为钓鱼的钱包持仓总量
          example: '50000.00'
        priceInNative:
          type:
            - string
            - 'null'
          description: 以链原生代币计价的价格
          example: '0.00000261383847574915906643405542'
        priceInSol:
          type:
            - string
            - 'null'
          description: 代币价格（原生代币计）
          example: '0.00000261383847574915906643405542'
        priceInUsd:
          type:
            - string
            - 'null'
          description: 代币价格（USD 计）
          example: '0.00000261383847574915906643405542'
        proHoldingsRatio:
          type:
            - string
            - 'null'
          description: 专业交易者持仓占总供应量比例
          example: '0.04'
        proTotalHolders:
          type:
            - string
            - 'null'
          description: 专业交易者持有者数量
          example: '25'
        proTotalHoldings:
          type:
            - string
            - 'null'
          description: 专业交易者总持仓量
          example: '40000'
        ratHoldingsRatio:
          type:
            - string
            - 'null'
          description: 老鼠仓钱包持仓占总供应量比例
          example: '0.0012'
        ratTotalHolders:
          type:
            - string
            - 'null'
          description: 老鼠仓持有者数量
          example: '5'
        ratTotalHoldings:
          type:
            - string
            - 'null'
          description: 老鼠仓钱包持仓总量
          example: '120000.00'
        sandwishHoldingsRatio:
          type:
            - string
            - 'null'
          description: 三明治攻击持仓占总供应量比例
          example: '0.015'
        sandwishTotalHolders:
          type:
            - string
            - 'null'
          description: 三明治攻击钱包持有者数量
          example: '8'
        sandwishTotalHoldings:
          type:
            - string
            - 'null'
          description: 三明治攻击钱包总持仓量
          example: '15000'
        smartHoldingsRatio:
          type:
            - string
            - 'null'
          description: 聪明钱钱包持仓占总供应量比例
          example: '0.03'
        smartTotalHolders:
          type:
            - string
            - 'null'
          description: 聪明钱持有者数量
          example: '30'
        smartTotalHoldings:
          type:
            - string
            - 'null'
          description: 聪明钱钱包持仓总量
          example: '3000000.00'
        sniperHoldingsRatio:
          type:
            - string
            - 'null'
          description: 狙击钱包持仓占总供应量比例
          example: '0.025'
        sniperTotalHolders:
          type:
            - string
            - 'null'
          description: 狙击钱包持有者数量
          example: '15'
        sniperTotalHoldings:
          type:
            - string
            - 'null'
          description: 狙击钱包总持仓量
          example: '25000'
        top100HoldingsRatio:
          type:
            - string
            - 'null'
          description: 前 100 持有者占总供应量比例
          example: '0.8'
        top100TotalHolders:
          type:
            - string
            - 'null'
          description: 前 100 持有者数量
          example: '100'
        top100TotalHoldings:
          type:
            - string
            - 'null'
          description: 前 100 持有者总持仓量
          example: '800000'
        top10HoldingsRatio:
          type:
            - string
            - 'null'
          description: 前 10 持有者占总供应量比例
          example: '0.5'
        top10TotalHolders:
          type:
            - string
            - 'null'
          description: 前 10 持有者数量
          example: '10'
        top10TotalHoldings:
          type:
            - string
            - 'null'
          description: 前 10 持有者总持仓量
          example: '500000'
        top50HoldingsRatio:
          type:
            - string
            - 'null'
          description: 前 50 持有者占总供应量比例
          example: '0.3'
        top50TotalHolders:
          type:
            - string
            - 'null'
          description: 前 50 持有者数量
          example: '50'
        top50TotalHoldings:
          type:
            - string
            - 'null'
          description: 前 50 持有者总持仓量
          example: '300000'
        totalSupply:
          type:
            - string
            - 'null'
          description: 代币总供应量
          example: '1000000'
        totalTvlInSol:
          type:
            - string
            - 'null'
          description: 总锁仓量（原生代币计）
          example: '1000000.45'
        totalTvlInUsd:
          type:
            - string
            - 'null'
          description: 总锁仓量（USD 计）
          example: '1000000.45'
    ScoreBreakdown:
      type: object
      description: >-
        Score breakdown for search result debugging / explainability.

        Computed in Rust post-query as an approximation of the OS Painless
        scoring.
      required:
        - liquidityScore
        - volumeScore
        - holdersScore
        - txCountScore
        - smartMoneyScore
        - ageScore
        - priceChangeScore
        - marketCapScore
        - symbolExactMatchBonus
        - tierBoost
        - safetyPenalty
        - holderConcentrationPenalty
        - finalScore
      properties:
        ageScore:
          type: number
          format: double
        finalScore:
          type: number
          format: double
        holderConcentrationPenalty:
          type: number
          format: double
        holdersScore:
          type: number
          format: double
        liquidityScore:
          type: number
          format: double
        marketCapScore:
          type: number
          format: double
        priceChangeScore:
          type: number
          format: double
        safetyPenalty:
          type: number
          format: double
        smartMoneyScore:
          type: number
          format: double
        symbolExactMatchBonus:
          type: number
          format: double
        tierBoost:
          type: number
          format: double
        txCountScore:
          type: number
          format: double
        volumeScore:
          type: number
          format: double
    TokenSecuritySummary:
      type: object
      properties:
        buyTax:
          type:
            - string
            - 'null'
          description: Buy tax rate
        holderCount:
          type:
            - string
            - 'null'
          description: Number of token holders
        isBlacklisted:
          type:
            - boolean
            - 'null'
          description: Whether the token is blacklisted
        isFreezable:
          type:
            - boolean
            - 'null'
          description: Whether the token is freezable
        isHoneypot:
          type:
            - boolean
            - 'null'
          description: Whether the token is a honeypot scam
        isMintable:
          type:
            - boolean
            - 'null'
          description: Whether the token is mintable
        isOpenSource:
          type:
            - boolean
            - 'null'
          description: Whether the contract is open source
        isProxy:
          type:
            - boolean
            - 'null'
          description: Whether the contract is a proxy
        isRenounced:
          type:
            - boolean
            - 'null'
          description: Whether contract ownership is renounced
        isShowAlert:
          type:
            - boolean
            - 'null'
          description: Whether to show a security alert
        lpHolderCount:
          type:
            - string
            - 'null'
          description: Number of liquidity pool holders
        ownerAddress:
          type:
            - string
            - 'null'
          description: Token owner address
        sellTax:
          type:
            - string
            - 'null'
          description: Sell tax rate
        sourcesAvailable:
          type:
            - array
            - 'null'
          items:
            type: string
          description: Available security data sources
          example:
            - goplus
    TokenSocialMedias:
      type: object
      description: Token social media links
      properties:
        bitbucket:
          type:
            - string
            - 'null'
          description: Bitbucket 仓库 URL
          example: https://bitbucket.org/circle
        discord:
          type:
            - string
            - 'null'
          description: Discord 服务器 URL
          example: https://discord.gg/circle
        facebook:
          type:
            - string
            - 'null'
          description: Facebook 页面 URL
          example: https://facebook.com/circle
        farcaster:
          type:
            - string
            - 'null'
          description: Farcaster 账号或 URL
          example: https://warpcast.com/vitalik
        github:
          type:
            - string
            - 'null'
          description: GitHub 仓库 URL
          example: https://github.com/circle
        instagram:
          type:
            - string
            - 'null'
          description: Instagram 账号
          example: '@circle'
        linkedin:
          type:
            - string
            - 'null'
          description: LinkedIn 页面 URL
          example: https://linkedin.com/company/circle
        medium:
          type:
            - string
            - 'null'
          description: Medium 博客 URL
          example: https://medium.com/@circle
        reddit:
          type:
            - string
            - 'null'
          description: Reddit 社区 URL
          example: https://reddit.com/r/circle
        telegram:
          type:
            - string
            - 'null'
          description: Telegram 群组 URL
          example: https://t.me/circle
        tiktok:
          type:
            - string
            - 'null'
          description: TikTok 账号
          example: '@circle'
        twitter:
          type:
            - string
            - 'null'
          description: Twitter 账号或 URL
          example: '@circle'
        website:
          type:
            - string
            - 'null'
          description: 官方网站 URL
          example: https://www.circle.com
        youtube:
          type:
            - string
            - 'null'
          description: YouTube 频道 URL
          example: https://youtube.com/@circle
    TokenStats:
      type: object
      description: Token statistics with nested time period data
      required:
        - address
        - periods
      properties:
        address:
          type: string
          description: 代币合约地址
          example: EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v
        periods:
          type: object
          description: >-
            Trade statistics grouped by time period (1m, 5m, 15m, 30m, 1h, 4h,
            6h, 24h).

            Each period contains full OHLCV data, trade counts, and
            previous-period comparisons.

            See `TokenTradeStatPeriod` schema for all fields.
          additionalProperties:
            $ref: '#/components/schemas/TokenTradeStatPeriod'
          propertyNames:
            type: string
          example:
            6h:
              buyVolumeInUsd: '12000.00'
              buyers: '120'
              buys: '420'
              closeInUsd: '0.15600000'
              currentLiquidityInUsd: '250000.00'
              highInUsd: '0.15900000'
              lowInUsd: '0.15100000'
              openInUsd: '0.15200000'
              priceChangeRatioInUsd: '0.02631579'
              sellVolumeInUsd: '9800.00'
              sellers: '95'
              sells: '360'
              totalVolumeInUsd: '21800.00'
              traders: '215'
              trades: '780'
    TokenCreator:
      type: object
      description: Token creator info
      properties:
        address:
          type:
            - string
            - 'null'
          description: 创建者钱包地址
          example: 5e2qRc1DNEXmyxP8qwPwJhRWjef7usLyi7v5xjqLr5G7
        isVerified:
          type:
            - boolean
            - 'null'
          description: 创建者是否已验证
          example: true
        share:
          type:
            - integer
            - 'null'
          format: int64
          description: 创建者收益分成比例
          example: 100
    TokenTradeStatPeriod:
      type: object
      description: Single time window trade statistics period
      properties:
        averagePriceInNative:
          type: string
          description: 平均价格（原生代币计）
          example: '0.00005100'
        averagePriceInUsd:
          type: string
          description: 平均价格（USD 计）
          example: '0.15300000'
        buySellRatio:
          type:
            - string
            - 'null'
          description: 买卖比
          example: '1.5510'
        buyVolume:
          type: string
          description: 买入量（代币数量）
          example: '15000000.12345678'
        buyVolumeInNative:
          type: string
          description: 买入量（原生代币计）
          example: '750.50'
        buyVolumeInUsd:
          type: string
          description: 买入量（USD 计）
          example: '45000.00'
        buyers:
          type: string
          description: 独立买方数量
          example: '320'
        buys:
          type: string
          description: 买入交易次数
          example: '1520'
        closeInNative:
          type: string
          description: 收盘价（原生代币计）
          example: '0.00005200'
        closeInUsd:
          type: string
          description: 收盘价（USD 计）
          example: '0.15600000'
        currentLiquidityInUsd:
          type: string
          description: 当前流动性（USD 计）
          example: '250000.00'
        dappProgramCount:
          type: string
          description: DEX 程序数量
          example: '8'
        highInNative:
          type: string
          description: 最高价（原生代币计）
          example: '0.00005300'
        highInUsd:
          type: string
          description: 最高价（USD 计）
          example: '0.15900000'
        liquidityChangeRatio:
          type:
            - string
            - 'null'
          description: 流动性变化率（对比上一周期）
          example: '0.0417'
        lowInNative:
          type: string
          description: 最低价（原生代币计）
          example: '0.00005000'
        lowInUsd:
          type: string
          description: 最低价（USD 计）
          example: '0.15000000'
        openInNative:
          type: string
          description: 开盘价（原生代币计）
          example: '0.00005000'
        openInUsd:
          type: string
          description: 开盘价（USD 计）
          example: '0.15000000'
        poolCount:
          type: string
          description: 流动性池数量
          example: '12'
        prevBuyVolume:
          type: string
          description: 上一周期买入量（代币数量）
          example: '14000000.00'
        prevBuyVolumeInNative:
          type: string
          description: 上一周期买入量（原生代币计）
          example: '700.00'
        prevBuyVolumeInUsd:
          type: string
          description: 上一周期买入量（USD 计）
          example: '42000.00'
        prevBuyers:
          type: string
          description: 上一周期独立买方数量
          example: '300'
        prevBuys:
          type: string
          description: 上一周期买入次数
          example: '1400'
        prevCloseInNative:
          type: string
          description: 上一周期收盘价（原生代币计）
          example: '0.00005100'
        prevCloseInUsd:
          type: string
          description: 上一周期收盘价（USD 计）
          example: '0.15100000'
        prevDappProgramCount:
          type: string
          description: 上一周期 DEX 程序数量
          example: '7'
        prevHighInNative:
          type: string
          description: 上一周期最高价（原生代币计）
          example: '0.00005100'
        prevHighInUsd:
          type: string
          description: 上一周期最高价（USD 计）
          example: '0.15200000'
        prevLiquidityInUsd:
          type: string
          description: 上一周期流动性（USD 计）
          example: '240000.00'
        prevLowInNative:
          type: string
          description: 上一周期最低价（原生代币计）
          example: '0.00004800'
        prevLowInUsd:
          type: string
          description: 上一周期最低价（USD 计）
          example: '0.14500000'
        prevOpenInNative:
          type: string
          description: 上一周期开盘价（原生代币计）
          example: '0.00004900'
        prevOpenInUsd:
          type: string
          description: 上一周期开盘价（USD 计）
          example: '0.14800000'
        prevPoolCount:
          type: string
          description: 上一周期池数量
          example: '10'
        prevSellVolume:
          type: string
          description: 上一周期卖出量（代币数量）
          example: '11000000.00'
        prevSellVolumeInNative:
          type: string
          description: 上一周期卖出量（原生代币计）
          example: '550.00'
        prevSellVolumeInUsd:
          type: string
          description: 上一周期卖出量（USD 计）
          example: '33000.00'
        prevSellers:
          type: string
          description: 上一周期独立卖方数量
          example: '200'
        prevSells:
          type: string
          description: 上一周期卖出次数
          example: '900'
        prevTrades:
          type: string
          description: 上一周期总交易次数
          example: '2300'
        priceChangeRatioInUsd:
          type: string
          description: 价格变化率（USD 计）
          example: '0.04000000'
        sellVolume:
          type: string
          description: 卖出量（代币数量）
          example: '12000000.98765432'
        sellVolumeInNative:
          type: string
          description: 卖出量（原生代币计）
          example: '600.40'
        sellVolumeInUsd:
          type: string
          description: 卖出量（USD 计）
          example: '36000.00'
        sellers:
          type: string
          description: 独立卖方数量
          example: '210'
        sells:
          type: string
          description: 卖出交易次数
          example: '980'
        totalVolumeInNative:
          type: string
          description: 总交易量（原生代币计）
          example: '1350.90'
        totalVolumeInUsd:
          type: string
          description: 总交易量（USD 计）
          example: '81000.00'
        traders:
          type: string
          description: 独立交易者数量
          example: '530'
        trades:
          type: string
          description: 总交易次数
          example: '2500'
        updatedAt:
          type:
            - string
            - 'null'
          description: 最后更新时间戳
          example: '2026-02-09T08:05:12.345Z'
        volumeChangeRatio:
          type:
            - string
            - 'null'
          description: 交易量变化率（对比上一周期）
          example: '0.25'
  securitySchemes:
    bearer_auth:
      type: http
      scheme: bearer
      bearerFormat: JWT
    api_key_auth:
      type: apiKey
      in: header
      name: X-API-KEY

````